NewWacht Bench is live — AI-assisted development for Wacht

Get Deployment Jwt Templates

GET
/jwt-templates

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/jwt-templates"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "token_lifetime": 0,
      "allowed_clock_skew": 0,
      "custom_signing_key": {
        "enabled": true,
        "key": "string",
        "algorithm": "string"
      },
      "template": null,
      "deployment_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}